struts-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Wendy Smoak" <wsm...@gmail.com>
Subject Re: Struts-Faces Version Compatible with Struts 1.1 and MyFaces
Date Wed, 06 Sep 2006 16:12:29 GMT
On 9/6/06, Colin Doyle <colin.doyle@vordel.com> wrote:

> Before migrating my application from Struts 1.1 to 1.3, I would like to
> know roughly how close Release 1.3.X would be?

Struts 1.3.5 has been released as Beta and there's a good chance it
will be promoted to General Availability.  Every report of an
application converted to 1.3 with no major problems increases our
confidence that 1.3.5 is indeed of GA quality, so please give it a try
and let us know if it works for you.

Upgrade notes are available on the wiki:
http://wiki.apache.org/struts/StrutsUpgrade

The distribution includes struts-faces.jar and a couple of example
applications, and can be downloaded here:
http://struts.apache.org/download.cgi#struts135

The two example apps use Struts 1.3.5 and MyFaces 1.0.9.  Other than
some complaining at startup about the missing 'cancellable' attribute
on a couple of the <action>s, they both deploy and work fine in Tomcat
5.5.17.  So there's one known good combination.

Thanks for pointing out STR-2926, I missed that when it came in.

Here's a thread where Craig discusses Shale vs. Struts Faces:
http://www.nabble.com/Re%3A-Need-advice-between-Shale-or-Struts-Faces-p2311391.html

HTH,
-- 
Wendy

---------------------------------------------------------------------
To unsubscribe, e-mail: user-unsubscribe@struts.apache.org
For additional commands, e-mail: user-help@struts.apache.org


Mime
View raw message